/*
 * MIT License
 *
 * Copyright (c) 2019 Jakub Travnik
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package cz.jtra.math.quine.designer;

/**
 * Holder for mouse coordinates in graph units. ClickSize represents diameter of circle in which click to existing point is recognized.
 */
public class MousePos {
    double x, y, clickSize;
    boolean mod1, mod2;

    public MousePos(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public MousePos(double x, double y, double clickSize, boolean mod1, boolean mod2) {
        this.x = x;
        this.y = y;
        this.clickSize = clickSize;
        this.mod1 = mod1;
        this.mod2 = mod2;
    }

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    public double getClickSize() {
        return clickSize;
    }

    @Override
    public String toString() {
        return "MousePos{" +
                "x=" + x +
                ", y=" + y +
                '}';
    }
}
