/*
 * MIT License
 *
 * Copyright (c) 2019 Jakub Travnik
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package cz.jtra.math.quine.renderer;

import java.util.List;


public class TestFormula implements RenderJob.Boolean2dFun {

    private long slowness;

    @Override
    public void init(List<String> args) {
        if (!args.isEmpty() && !args.get(0).trim().isEmpty()) {
            slowness = Long.parseLong(args.get(0));
        } else {
            slowness = 0;
        }
    }

    @Override
    public boolean fun(double x, double y) {
        if (slowness != 0) {
            // delay
            double a = 1;
            long lim = (long) (slowness * Math.sin(y));
            for (long k = 0; k < lim; k++) {
                a = 1 - Math.sin(a);
            }
        }
        return Math.sin(Math.sqrt(x * x + y * y) * Math.PI) > 0;
    }

}
